1. Форумы
  2. CloudLinux и панели управления
  3. CloudLinux и другие панели управления
  1. Грегор Л.
  2. Понедельник, 28 ноября 2011
  3. Подписка по электронной почте
Я заметил другие сообщения, что эта ошибка связана с путаницами между mod_fcgi и mod_hostinglimits. [Br] [br] Мне бы хотелось, чтобы PHP через FCGI и другие скрипты контролировались cloudlinux. [Br] [br] Я использую apache 1.3 для этого примера. [Br] дополнительный / httpd-hostinglimits.conf выглядит следующим образом: [br] [br]
LoadModule hostinglimits_module /hsphere/shared/apache/libexec/mod_hostinglimits.so[br][br]<IfModule mod_hostinglim its.c> [br] SkipErrors Off [br] # AllowedHandlers cgi-script php5-скрипт php4-скрипт php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php Приложение fcgid-script / x-httpd-php4 [br] AllowedHandlers cgi-script fcgid-script [br] </ IfModule>
[br] [br] httpd.conf содержит следующее: [br] [br]
[br] <IfDefine FASTCGI> [br] <IfDefine! LIBLVE> [br] LoadModule fastcgi_module libexec / mod_fastcgi.so [br] </ IfDefine> [br] <IfDefine LIBLVE> [br] LoadModule fastcgi_module libexec / mod_fastcgi_lve.so [ br] </ IfDefine> [br] </ IfDefine> [br] [br] [br]
[br] [br] apache работает следующим образом: [br]
/ hsphere / shared / apache / bin / httpd -DLIBPHP5 -DSSL -DFASTCGI -DFRONTPAGE -DSECURITY -DLIBLVE -f /hsphere/local/config/httpd/httpd.conf
[br] [br] Теперь сообщение об ошибке (Can \ 't enter to lve from slave context) больше не появляется, но lveinfo -d больше не показывает веб-сайты, на которых запущен PHP5 через fcgi. [br] [br] I \' Предполагая, что они больше не защищены от использования многих ресурсов сейчас?
Оценить этот пост:
  1. 30.11.2011 12:11:26
  2. # 1
Грегор Л. Принято ответа
Сообщений: 5
Присоединился: 28.07.2011
0
Голосов
расстегивать
После некоторого дополнительного рытья это, похоже, делает трюк. (не уверен, что там есть что-то избыточное)

 <IfModule mod_hostinglimits.c>  <IfModule mod_fcgid.c>  Включить LVE  </ IfModule>  SkipErrors Off  <IfModule mod_cgi.c>  AllowedHandlers php5-script php4-скрипт php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php Приложение fcgid-script / x-httpd-php4  </ IfModule>  <IfModule! Mod_cgi.c>  AllowedHandlers cgi-script php5-скрипт php4-скрипт php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php fcgid-script application / x-httpd-php4  </ IfModule>  </ IfModule> 
  1. 01.12.2011 11:12:01
  2. # 2
Alexey Berezhok Принято ответа
Сообщений: 35
Присоединился: 20.04.2010
0
Голосов
расстегивать
Привет, Грегор!

Можете ли вы сказать - вы используете mod_fcgid или mod_fastcgi? Почему вы прокомментировали эту строку \ "AllowedHandlers cgi-script php5-script php4-script php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php fcgid-script application / x-httpd-php4 \ "? Я проверил интеграцию H-Sphere 3.5 и CloudLinux - он работает правильно - без \ «Не могу войти в контекст подчиненного».

Этот файл конфигурации:

<IfModule mod_hostinglimits.c>  <IfModule mod_fcgid.c>  Включить LVE  </ IfModule>  SkipErrors Off  <IfModule mod_cgi.c>  AllowedHandlers php5-script php4-скрипт php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php Приложение fcgid-script / x-httpd-php4  </ IfModule>  <IfModule! Mod_cgi.c>  AllowedHandlers cgi-script php5-скрипт php4-скрипт php-script application / x-httpd-php5 application / x-httpd-php x-httpd-php fcgid-script application / x-httpd-php4  </ IfModule>  </ IfModule> 


для mod_hostinglimits + apache2.2 + mod_fcgid, но не для apache1.3 + mod_hostinglim его + mod_fastcgi. Если lvetop все еще пуст, можете ли вы описать свою проблему более подробно на странице службы поддержки (https://helpdesk.cloudlinux.com). Мне нужно исследовать эту проблему более глубоко.

С Уважением,
Алексей
Команда разработчиков CloudLinux
  • Страница:
  • 1


Там нет ответов, сделанные на этот пост пока нет.
Будьте одним из первых, чтобы ответить на этот пост!
гость
Отправить Ваш ответ
Загрузить файлы или изображения для обсуждения этого вопроса, нажав на кнопку загрузки ниже. опоры GIF, JPG, PNG, ZIP, RAR, PDF
• Вставить • Удалить Загрузка файлов (Максимальный размер файла: 2 MB)
Защитный код
Чтобы защитить сайт от ботов и несанкционированных сценариев, мы требуем, чтобы вы ввели коды капчи ниже, прежде чем отправить свой вопрос.